MAPSCRN(8)

NUME
mapscrn - încarcă tabelul de corespondență (a caracterelor) a ieșirii ecranului

SINOPSIS
mapscrn [opțiunis] fișier-hartă

DESCRIERE
Comanda mapscrn este învechită - funcția sa este acum încorporată în «setfont». Cu toate acestea, pentru compatibilitate retroactivă, ea este încă disponibilă ca o comandă separată.

Comanda mapscrn încarcă în controlorul de consolă un tabel de corespondență a caracterelor de ieșire definit de utilizator. Controlorul de consolă poate fi pus ulterior în modul utilizare tabel de corespondență definit de utilizator prin emiterea unei secvențe speciale de control către dispozitivul de consolă. Această secvență este <esc>(K pentru setul de caractere G0 și <esc>)K pentru setul de caractere G1. Atunci când se dă opțiunea -o, vechea hartă este salvată în map.orig..

UZ
Există două tipuri de tabele de corespondență: tabele direct-la-font, care oferă o poziție de font pentru fiecare valoare de octet utilizator, și tabele utilizator-la-unicode, care oferă o valoare unicode pentru fiecare octet utilizator. Glifa (simbolul, caracterul) corespunzătoare se găsește acum folosind indicele unicode al fontului. Comanda
    mapscrn trivial
stabilește un tabel direct la font, în care octeții utilizatorului se adresează direct fontului. Acest lucru este util pentru fonturile care sunt în aceeași ordine cu setul de caractere utilizat. O comandă precum
    mapscrn 8859-2
stabilește un tabel utilizator-unicode care presupune că utilizatorul folosește ISO 8859-2.

FORMAT DE INTRARE
Comanda mapscrn poate citi harta în oricare dintre cele două formate:
1. 256 sau 512 octeți de date binare
2. fișier text cu două coloane
Formatul (1) este o imagine directă a traducerii table. Tabelele de 256 de octeți sunt tabelele direct-font, tabelele de 512 octeți sunt tabelele utilizator-unicod. Formatul (2) este utilizat pentru a umple table după cum urmează: celula cu poziția menționată în prima coloană este umplută cu valoarea menționată în a doua coloană. Atunci când apar valori mai mari de 255 sau când valorile sunt scrise folosind notația U+xxxx, se presupune că tabelul este un tabel de la utilizator la unicode, în caz contrar este un tabel direct la font.

Valorile din fișier pot fi specificate într-unul din mai multe formate:
1. Zecimal: Șir de cifre zecimale care nu încep cu „0”.
2. Octal: Șir de cifre octale care încep cu „0”.
3. Hexazecimal: Șir de cifre hexazecimale precedate de „0x”.
4. Unicode: Șir de patru cifre hexazecimale precedate de „U+”.
5. Caracter: Un singur caracter inclus între ghilimele simple; (și se utilizează valoarea binară). Rețineți că spațiul în alb, virgula, caracterul de tabulare și „#” nu pot fi specificate cu acest format.
6. Caracter UTF-8: Caracter UTF-8 unic (eventual multi-octet), inclus între ghilimele simple.

Rețineți un lucru: caracterele de control (cu codurile < 32) nu pot fi re-asociate (în tabelul de corespondențe) cu mapscrn deoarece au o semnificație specială pentru controlor.

OPȚIUNI

-o, --output=FIȘIER
    salvează harta veche în FIȘIER.

-C, --console=DEV
    dispozitivul consolă care urmează să fie utilizat.

-v, --verbose
    oferă mai multe detalii.

-V, --version
    afișează numărul de versiune.

-h, --help
    afișează acest mesaj de utilizare.

FIȘIERE

/usr/share/consoletrans
    Directorul implicit pentru cartografierile de ecran.

CONSULTAȚI ȘI
setfont(8)

AUTOR
Drepturi de autor© 1993 Eugene G. Crosser
<crosser@pccross.msk.su>
Acest software și documentația pot fi distribuite în mod liber.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.